
#include "MoWindow.h"
#include "MoCollection.h"
#include "Database.h"

Database *datab = Database::Instance();

MoWindow::MoWindow()
{
	type = MO_WINDOW;
	file = NULL;
	file_index = sample_index = length = window_id = global_id = 0;
}

void
MoWindow::getWindow(fvec &win)
{
	file->src->get(win, file_index);
}

int
MoWindow::getWindow(int moid, fvec &win)
{
	MoWindow *mowin;
	if((mowin = MoWindow::getId(abs(moid))) == NULL) return 0;
	mowin->getWindow(win);
	mowin->file->src->get(win, mowin->file_index);
}


MoWindow *
MoWindow::getId(int win)
{
	return datab->getWindow(win);
}

