#ifndef __MO_WINDOW__
#define __MO_WINDOW__

#include "MoThing.h"
#include "fvec.h"

#include <string>
#include <vector>

struct MoFile;

struct MoWindow : public MoThing
{  
	MoFile *file;
	unsigned int file_index;
	unsigned int sample_index;
	unsigned int length;
	unsigned int window_id;
	MoWindow();
	
	void getWindow(fvec &);
	static int getWindow(int moid, fvec &);
	static MoWindow *getId(int);
};

#endif
